# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(Date/Manip.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(Forks/Super.pm) perl(HTML/TreeBuilder/XPath.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Log/Log4perl.pm) perl(Pod/Usage.pm) perl(Statistics/Descriptive.pm) perl(Test/More.pm) perl(XML/Code.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define module_version 0.22
%define module_name Text-Corpus-Summaries-Wikipedia
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: Creates corpora for summarization testing.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KU/KUBINA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
`Text::Corpus::Summaries::Wikipedia' creates corpora for single document summarization testing
using the featured articles of various Wikipedias.

A criterion for an article in a Wikipedia to be *featured* is that it
have a well written lead section, or introduction. So the featured articles
of a Wikipedia can make an excellent corpus for testing single document summarization methods.
This module creates a corpus from the featured articles of a Wikipedia by fetching
and saving their content as HTML, text, and XML, with the appropriate sections
labeled as either `summary' or `body'.

=begin html

The Wikimedia <a href="http://meta.wikimedia.org/wiki/Wikipedia_featured_articles">featured articles</a> page
has the number of featured articles on various Wikipedias including links to their rating criteria (if they exist). For
example, the English Wikipedia has an article on the
<a href="http://en.wikipedia.org/wiki/Wikipedia:Featured_article_criteria">criteria for a featured article</a>
and the criteria for a good <a href="http://en.wikipedia.org/wiki/Wikipedia:Lead_section">introduction</a>.

=end html

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes LICENSE Todo
%perl_vendor_privlib/T*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- initial import by package builder

